// Author: Hugo Pointcheval
// Email: git@pcl.ovh
// -----
// File: sub_page.dart
// Created Date: 19/08/2022 16:10:05
// Last Modified: Wed Nov 09 2022
// -----
// Copyright (c) 2022

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:wyatt_authentication_bloc/wyatt_authentication_bloc.dart';

class SubPage extends StatelessWidget {
  const SubPage({Key? key}) : super(key: key);

  static String pageName = 'Sub';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Sub'),
        actions: [
          IconButton(
              onPressed: () => context.read<AuthenticationCubit<int>>().signOut(),
              icon: const Icon(Icons.logout_rounded))
        ],
      ),
      body: const Padding(
        padding: EdgeInsets.all(8),
        child: SingleChildScrollView(
          child: Text('Another page'),
        ),
      ),
    );
  }
}
